var sServerURL="https://dsservices.aizo.com";

try {
	if (Property.getNode('/config/webservice-api/base-url')!=null) {
		sServerURL=Property.getNode('/config/webservice-api/base-url').getValue();
	}
} catch (e) {}

var cloudService = {
    makePostCall:function(sFunction,data) {
        
        lInfo.logln("http post reuqest " + sFunction);
        lInfo.logln("             body " + data);
        try {
            var h = new HTTP( { 'debug' : 0},{'Content-Type':'application/json','NotificationTextIsUrlEncodedUtf7':'true'});
            var code = h.post(sServerURL + sFunction, '', data, function(returnCode) {
                if (returnCode.status.valueOf() === 200) {
                    lInfo.logln( ': OK [' + returnCode.status + ']');
                } else {
                    lWarn.logln(': FAILED! Server replied: "' + returnCode.status + '"');
                }
                lInfo.logln(': body [' + returnCode.body + ']');
            });
            return;
        } catch (e) {
            lWarn.logln("Exception during http post reuqest " + sFunction+": ");
            for (var i in e) {
                lWarn.logln(i + ': ' + e[i]);
            }
        }
        return;
    },
    makeGetCall:function(sFunction,options) {
        var extraheaders = [];
        lInfo.logln("http get reuqest " + sFunction);
        try {
            if (options==null)
                options= { 'debug' : 0};
            else
                options.debug=0;
            var h = new HTTP(options);
            var code = h.get(sServerURL + sFunction, '');
            if (code.status.valueOf() === 200) {
                lInfo.logln( ': OK [' + code.status + ']');
            } else {
                lInfo.logln(': FAILED! Server replied: "' + code.status + '"');
            }
            lInfo.logln(code.body);
            return JSON.parse(code.body);
        } catch (e) {
            lWarn.logln("Error during upload: ");
            for (var i in e) {
                lWarn.logln(i + ': ' + e[i]);
            }
        }
        return 0;
    },
    getOSPToken:function() {
		return Property.getNode('/scripts/remote-connectivity/OSPToken').getValue();
    },
    getCloudEmail:function() {
		return Property.getNode('/scripts/remote-connectivity/username').getValue();
    },
    getMyDSID:function(){
		return Property.getProperty('/system/dSID');			
	},
    fetchNotificationList:function() {
    	//GetMobileApps
    	var url='/public/accessmanagement/v1_0/RemoteConnectivity/GetMobileApps?token='+this.getOSPToken()+'&email='+ this.getCloudEmail();
    	return this.makeGetCall(url);
    },
    sendNotification:function(uuida,text) {
    	var url='/public/notification/v1_0/SendNotification/SendPushNotification?notificationID=PUSH_NOTIFICATION_DSS_EVENT_PUSH&token='+this.getOSPToken()+'&languageCode=de-DE';
    	var body='{"MobileAppUUIDList": [';
    	var fFirst=true;
    	for (var iIndex=0;iIndex<uuida.length;iIndex++) {
    		if (!fFirst)
    			body=body+',';
    		body=body+'"' + uuida[iIndex] + '"';
    		fFirst=false;
    	}
    	body=body+'],"NotificationKeyValueList": { "Text": "'+text+'" } }';
    	this.makePostCall(url,body);
    }
};